Skip to main content
PATCH
/
api
/
Gift
Update many Gifts
curl --request PATCH \
  --url https://api.virtuoussoftware.com/api/Gift \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "id": "<integer>",
    "receiptDateUtc": "<dateTime>",
    "segmentId": "<integer>",
    "notes": "<string>",
    "customFields": "<object>"
  },
  {
    "id": "<integer>",
    "receiptDateUtc": "<dateTime>",
    "segmentId": "<integer>",
    "notes": "<string>",
    "customFields": "<object>"
  }
]
'
"<object>"

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
id
string
receiptDateUtc
string
segmentId
string
notes
string
customFields
string

Response

OK

The response is of type string.

Last modified on April 24, 2026